GET /katello/api/packages/thindex
200
{
"total": 6,
"subtotal": 6,
"selectable": 6,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"name": "modular",
"id": 1037874757
},
{
"name": "modular_with_erratum_package",
"id": 528479827
},
{
"name": "one",
"id": 980190962
},
{
"name": "openssl",
"id": 102647956
},
{
"name": "three",
"id": 113629430
},
{
"name": "two",
"id": 298486374
}
]
}
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|